joystick
Interface specifications

Joystick control. More...

#define | PLAYER_JOYSTICK_DATA_STATE 1
| Data subtype: state.
typedef struct player_joystick_data | player_joystick_data_t
| Data: state (PLAYER_JOYSTICK_DATA_STATE) More...

## Detailed Description

Joystick control.

The joystick interface provides access to the state of a joystick. It allows another driver or a (possibly off-board) client to read and use the state of a joystick.

## Typedef Documentation

typedef struct player_joystick_data player_joystick_data_t

Data: state (PLAYER_JOYSTICK_DATA_STATE)

The joystick data packet, which contains the current state of the joystick

Last updated 12 September 2005 21:38:45